Package com.smartgwt.client.types

# Enum DSInheritanceMode

java.lang.Object
java.lang.Enum<DSInheritanceMode>
com.smartgwt.client.types.DSInheritanceMode

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<DSInheritanceMode>`, `Constable`

public enum DSInheritanceMode extends Enum<DSInheritanceMode> implements ValueEnum
For DataSources of type "sql" and "hibernate", specifies the kind of inheritance to use when a dataSource specifies `inheritsFrom`.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `FULL`
  Inherit fields by copying them onto the inheriting DataSource's underlying table.
  `NONE`
  Do not physically inherit fields onto the inheriting DataSource's SQL table.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static DSInheritanceMode`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static DSInheritanceMode[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### FULL

    public static final DSInheritanceMode FULL
    Inherit fields by copying them onto the inheriting DataSource's underlying table. When we import a DataSource with this inheritanceMode, we create actual columns for inherited fields on the table we create. With this inheritanceMode, inherited fields are updatable.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "full".

  - ### NONE

    public static final DSInheritanceMode NONE
    Do not physically inherit fields onto the inheriting DataSource's SQL table. Columns will not be created for inherited fields on import, and all generated SQL operations will exclude inherited fields. However, those fields are still part of the DataSource's schema so you can, for example, write `custom SQL` that returns values for the inherited fields, and they will be delivered to the client.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "none".

- ## Method Details

  - ### values

    public static DSInheritanceMode[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static DSInheritanceMode valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`